
From: Andrew Morton <akpm@osdl.org>

drivers/media/video/msp3400.c:744: `PF_FREEZE' undeclared (first use in this function)

Signed-off-by: Christoph Lameter <christoph@lameter.com>
Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/msp3400.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/media/video/msp3400.c~swsusp-process-freezing-remove-smp-races-msp3400-fix drivers/media/video/msp3400.c
--- devel/drivers/media/video/msp3400.c~swsusp-process-freezing-remove-smp-races-msp3400-fix	2005-07-26 03:15:34.000000000 -0700
+++ devel-akpm/drivers/media/video/msp3400.c	2005-07-26 03:15:50.000000000 -0700
@@ -741,9 +741,8 @@ static int msp34xx_sleep(struct msp3400c
 			schedule_timeout(msecs_to_jiffies(timeout));
 		}
 	}
-	if (current->flags & PF_FREEZE) {
-		refrigerator ();
-	}
+	if (freezing(current))
+		refrigerator();
 
 	remove_wait_queue(&msp->wq, &wait);
 	return msp->restart;
_
